syndication

PUT /v1/syndication/plans/{planId}

Change a plan's channels or behaviour.

Tüm syndication uç noktaları

Kimlik Doğrulama

Bir API anahtarını bearer token olarak gönderin. Bu uç nokta, teknik özelliklerde belirli bir yetki belirtmemektedir; bu nedenle, varsaymak yerine anahtarınıza ihtiyaç duyduğu en az yetkiyi verin ve yanıtı kontrol edin.

Bu uç nokta hiçbir organizasyon kimliği almaz. Anahtarınız zaten ait olduğu organizasyonu tanımlar ve yanıt bu organizasyonla sınırlandırılır.

Dene

Köşeli parantez içindeki her şeyi kendi değerlerinizle ve anahtar yer tutucusunu panonuzdan bir anahtarla değiştirin.

curl -X PUT https://api.zinndigital.com/v1/syndication/plans/{planId} \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "scope": <string<post, recipe, org_default>> }'

Oturum açtınız mı? Panonuzdaki API konsolu, gerçek organizasyon kimliğinizi ve kendi anahtarınızı otomatik olarak doldurur ve isteği canlı API üzerinde çalıştırarak gerçek yanıtı görmenizi sağlar. Bu uç noktayı API konsolunda açın

Ayrıntılar

Replaces the plan's channel set with `connection_ids`. ⛔ Each id is re-checked against the CALLER's scope, not merely the plan's org — a connection id is a UUID somebody could paste, and a plan naming another tenant's connection would post this article to that tenant's account. Gated on `syndication.manage`.

Parametreler

AdTürZorunluNe olduğu
planId (path)stringEvet

İstek gövdesi

AdTürZorunluNe olduğu
scopestring<post, recipe, org_default>Evet
post_idstringHayır
recipe_idstringHayır
enabledbooleanHayır
write_modestring<ai_per_channel, one_text>Hayır
approval_modestring<hold, send>Hayır
connection_idsstring[]Hayır

Yanıt

AdTürZorunluNe olduğu
idstringEvet
scopestring<post, recipe, org_default>EvetMost specific wins — an article's own plan beats its recipe's beats the org default.
post_idstringEvet
recipe_idstringEvet
enabledbooleanEvet
write_modestring<ai_per_channel, one_text>Evet⚖️ Owner ruling 2026-08-20 — the AI writes per channel by default, because an X post and a LinkedIn update are not the same piece of writing.
approval_modestring<hold, send>Evet⚖️ Owner ruling 2026-08-20 — hold for approval by default.
channelsSyndicationPlanChannel[]Evet
created_atstringEvet

Bu uç noktanın dönderebileceği hatalar

401 · 403 · 404